General [OneUI 5 Beta] (Snapdragon) Galaxy S22/S22+/S22 Ultra OneUI 5.0 Beta Thread

Search This thread

S1MPTOM

Member
Feb 18, 2008
16
9
could someone, who registered in beta, post this in members app, please..? hate this bug (was on OneUI 3 or 3.5...)
 
Last edited:
  • Like
Reactions: VMCR

Toldorn

Senior Member
Jun 5, 2016
69
8
Just got the beta3 installe on my SM-S908E, just need to figure out a way to root now.

Can anyone point me in the right direction? Thanks!
 

butchieboy

Senior Member
Feb 15, 2012
9,679
5,506
springfield.il
Just a heads up for anyone that has At&t S22+ that wants to try the Beta 3 . Since I never found an update.zip for Beta 1 and 2 in order to sideload Beta 3 you will need to flash AVHL from another carrier since At&t September firmware is different from other carriers (as they often do). So in order to get back on At&t ota path in the future you will need to flash back to AVG6 since At&t build number is different from other carriers.
 
  • Like
Reactions: Venom0642

calvinai

Member
Jan 19, 2020
13
2
Hi friend, S22U, SM-G908E) stable version here.
do i need to install beta 2 first before the beta 3? or i can jump straight into beta 3?
 

Mihalaki

Senior Member
May 2, 2015
73
17
Hi friend, S22U, SM-G908E) stable version here.
do i need to install beta 2 first before the beta 3? or i can jump straight into beta 3?
I have same phone, had to Odin avg6 build because I was on a later A12 build then adb sideload beta 2 let it boot then adb sideload beta 3. Worked fine but don't know if there is another way.
 

DaOldMan

Senior Member
Oct 6, 2010
3,584
5,839
Hi friend, S22U, SM-G908E) stable version here.
do i need to install beta 2 first before the beta 3? or i can jump straight into beta 3?
Every beta is the same. It was asked here few times before. You need to flash all beta versions one after another,, they are NOT full rom but differential roms instead. They only patch existing rom in order to get you a new rom. For that the old rom has to be the exact version needed for that rom. So for beta3, it will need beta2 installed to patch it. Beta2 will need the correct stable release to patch and here is where most people screw up, they update their phones to a new stable which is not and will never be supported by the beta and then try to install it. Many times you will need to check which is the exact stable beta starting point and make sure you are on this and only this version of a rom. Otherwise it will exit on 25% or something like that with an error.
Cheers.
 

calvinai

Member
Jan 19, 2020
13
2
Every beta is the same. It was asked here few times before. You need to flash all beta versions one after another,, they are NOT full rom but differential roms instead. They only patch existing rom in order to get you a new rom. For that the old rom has to be the exact version needed for that rom. So for beta3, it will need beta2 installed to patch it. Beta2 will need the correct stable release to patch and here is where most people screw up, they update their phones to a new stable which is not and will never be supported by the beta and then try to install it. Many times you will need to check which is the exact stable beta starting point and make sure you are on this and only this version of a rom. Otherwise it will exit on 25% or something like that with an error.
Cheers.
Thanks for the explanation.
how do i know if i am in the right stable version for trial beta 2?
because there is no beta 1 makes me confused.
 

DaOldMan

Senior Member
Oct 6, 2010
3,584
5,839
Thanks for the explanation.
how do i know if i am in the right stable version for trial beta 2?
because there is no beta 1 makes me confused.
It doesn't matter there is no beta 1. When downloading via a link they should state which is the base rom to update from. Just find the info in the posts following the link, someone will write it. In good op they clearly state the original rom.
Maximum state your exact model, your rom version and ask here. People have this information.
 

Nedlinin

Senior Member
Apr 13, 2009
239
16
Huntsville, AL
Anyone with advice on how to take the S22 from ZVHK(beta 2) to the new beta 3? The only capture is from AVHL to Beta3. Do I have to roll back (appears to be stable A12?) To get to beta 3?
 

Rapier

Recognized Contributor
Hey everyone. I'm on S908E beta 2 trying to update to beta 3 ZVI9. Unfortunately x Alliance wouldn't update because it tells me that my Knox license is expired and I have no idea how to reactivate it.
Also I've tried to update through ADB with no luck. Any idea?
Alliance no longer works, ADB is only method now
 
  • Like
Reactions: Briankay

Abaddon

Senior Member
Mar 17, 2011
4,262
1,090
House Avernus
Samsung Galaxy A50
POCO M3
In case noones captured it yet:

AVHL to ZVI9 for 908u1: http://fota-secure-dn.ospserver.net:80/firmware/XAA/SM-S908U1/nspx/98363b31970a4acebb9863d00138e673.bin?px-time=637e1971&px-hash=2bd9590e6af28224d54ded4f5abffab5&px-wid=3680520-WSA220924130032&px-wctime=2022-09-24 13:00:32&px-unum=&px-nb=UGtezEZ854jbmFcvWGxLEA==

In theory this means that any version including and prior to the September security update should be able to update to beta 3.

If this was already posted then sorry.
Thank you for this
 

Top Liked Posts